using System.Collections.Generic;
using System.Windows;
using _ScratchPad.Styles;
using System;

namespace _ScratchPad
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public List<SasLogRecord> ViewModel { get; set; }
        public MainWindow()
        {
            InitializeComponent();
            CreateData();
            DataContext = this;
        }

        private void CreateData()
        {
            ViewModel = new List<SasLogRecord>();
            int i = 0;
            ViewModel.Add(new SasLogRecord()
            {
                Id = i++,
                Name = $"Record{i}",
                Path = $"Path{i}",
                TotalErrors = 0,
            }); 
            ViewModel.Add(new SasLogRecord()
            {
                Id = i++,
                Name = $"Record{i}",
                Path = $"Path{i}",
                TotalErrors = i,
            });
        }
    }
}
